<?php if ($the_query->have_posts()) : ?>

	<div class="shopengine-crosssell-popup">
		<a href="#close-modal" rel="modal:close" class="se-close-modal ">
			<svg xmlns="http://www.w3.org/2000/svg" width="17" height="17" viewBox="0 0 17 17" fill="none">
				<path d="M16 1L1 16" stroke="#575C65" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
				<path d="M1 1L16 16" stroke="#575C65" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
			</svg>
		</a>
		<div class="se-modal-inner">
			<div class="se-crosssell-popup-header">
				<div class="se-crosssell-popup-message">
					<h3> 
						<span class="se-crosssell-popup-icon">
							<i aria-hidden="true" class="fas fa-check-circle"></i>
						</span>
						<span>
							<?php echo get_the_title( $product_id ); ?>
						</span>
						has been added to your shopping cart.
					</h3>
				</div>
				<div class="se-crosssell-popup-action-btns">
					<a href="<?php echo wc_get_cart_url() ?>" class="shopping-cart-btn">View Shopping Cart</a>
					<a href="<?php echo get_permalink( wc_get_page_id( 'shop' ) )?>" class="Continue-shopping-btn">Continue Shopping</a>
				</div>
			</div>
			<hr>
			<div class="se-crosssell-popup-items">
				<h3 class="shopengine-add-to-cart-popup-title">Buyers who bought this item also bought:</h3>
				<div class="se-crosssell-popup-item-container">
					<?php while ($the_query->have_posts()) : $the_query->the_post();
						$product  = wc_get_product(get_the_ID()); ?>
						<div class="se-crosssell-popup-single-item">
							<div class="se-crosssell-popup-img">
								<a href="<?php echo $product->get_permalink(); ?>"><?php echo $product->get_image(); ?></a>
							</div>
							<div class="se-crosssell-popup-item-description">
								<h6 class="se-crosssell-popup-item-category"><?php echo wc_get_product_category_list($product->get_id()); ?></h6>
								<h5 class="se-crosssell-popup-item-title"><a href="<?php echo $product->get_permalink(); ?>"><?php echo $product->get_title(); ?></a></h5>
								<div class="se-crosssell-popup-item-rating">
									<?php printf('<div class="star-rating"><span style="width:%1$s%2$s">.</span></div>', (($product->get_average_rating() / 5) * 100), '%'); ?>
									<div class="se-crosssell-popup-item-rating-number">(<?php echo $product->get_rating_count(); ?>)</div>
								</div>
								<h5 class="se-crosssell-popup-item-price">
									<?php if ( $price_html = $product->get_price_html() ) : ?>
										<span class="price"><?php echo $price_html; ?></span>
									<?php endif; ?>
								</h5>
							</div>
						</div>
					<?php endwhile;
					wp_reset_postdata(); ?>
				</div>
			</div>
		</div>
	</div>

<?php endif;?>
